/**
 * @file	cconst.h
 * @brief	Constant data definition.
 * @date	2004.02.14
 * @author	Steel Wheels Project
 * @par Copyright
 *   Copyright (C) 2004 Steel Wheels Project.
 *   All right reserved.
 * @par Description
 *    Constant data definition
 */

#ifndef CCONST_H_INCLUDED
#define CCONST_H_INCLUDED

#include <Coconut/coconut-sysdep.h>
#include <Coconut/clist.h>

/**
 * @brief	Constant data definition class.
 * @par Description
 *   Constant data definition class.
 *   This class has factory methods only.
 */
@interface CConst : NSObject 
{
}
 
  /**
   * @brief	Initialize all constants in cconst.m
   * @par Description
   *    Initialize all constants in cconst.m
   */
  + load ;

  /**
   * @brief	Get string which contains a space code.
   * @par Description
   *   Get string which contains a space code.
   */
  + (NSString *) space ;

  /**
   * @brief	Get string which contains a newline code.
   * @par Description
   *   Get string which contains a newline code.
   */
  + (NSString *) newline ;

  /**
   * @brief	Get string which contains a comma code.
   * @par Description
   *   Get string which contains a comma code.
   */
  + (NSString *) comma ;

@end

#endif /* CCONST_H_INCLUDED */

