dnl AC_PATH_COCONUT()
dnl
dnl Test for Coconut, and define COCONUT_OBJCFLAGS and COCONUT_OBJCLIBS
dnl

AC_DEFUN([AC_PATH_COCONUT],[
dnl
dnl  Get the cflags and libraries from the coconut-config script
dnl

coconut_config_args="" ;
no_coconut="" ;
COCONUT_OBJCFLAGS="" ;
COCONUT_OBJCLIBS="" ;

dnl  (1) define the configure option to get the prefix of Coconut
AC_ARG_WITH(coconut-prefix, [  --with-coconut-prefix=PFX    prefix where Coconut is installed (optional)],
  coconut_config_prefix="$withval", coconut_config_prefix="")

dnl  (2) define the configure option to get the exec prefix of Coconut
AC_ARG_WITH(coconut-exec-prefix, [  --with-coconut-exec-prefix=PFX   exec prefix where Coconut is installed (optional)],
  coconut_config_exec_prefix="$withval", coconut_config_exec_prefix="")

dnl  (3) check the coconut_config_exec_prefix was set or not
if test "X${coconut_config_exec_prefix}" != "X" ; then
	coconut_config_args="--exec-prefix=$coconut_config_exec_prefix" ;
fi

dnl  (4) check the coconut_config_prefix was set or not
if test "X${coconut_config_prefix}" != "X" ; then
	coconut_config_args="$coconut_config_args --prefix=$coconut_config_prefix" ;
fi

dnl  (5) check the existence of coconut-config
AC_PATH_PROG(PKG_CONFIG, pkg-config, no)

dnl  (6) make OBJCFLAGS ans LIBS
AC_MSG_CHECKING(objcflags of Coconut)
if test "$PKG_CONFIG" = "no" ; then
	AC_MSG_RESULT([not found])
else
	COCONUT_OBJCFLAGS=`$PKG_CONFIG coconut $coconut_config_args --cflags`
	AC_MSG_RESULT($COCONUT_OBJCFLAGS)
fi
AC_MSG_CHECKING(objclibs of Coconut)
if test "$PKG_CONFIG" = "no" ; then
	AC_MSG_RESULT([not found])
else
	COCONUT_OBJCLIBS=`$PKG_CONFIG coconut $coconut_config_args --libs`
	AC_MSG_RESULT($COCONUT_OBJCLIBS)
fi
AC_SUBST(COCONUT_OBJCFLAGS)
AC_SUBST(COCONUT_OBJCLIBS)

])

